Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882978 - Review Request: R-pkgcache - Cache 'CRAN'-Like Metadata and R Packages
Summary: Review Request: R-pkgcache - Cache 'CRAN'-Like Metadata and R Packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1882970
Blocks: 1883047
TreeView+ depends on / blocked
 
Reported: 2020-09-27 06:56 UTC by Elliott Sales de Andrade
Modified: 2020-10-09 15:01 UTC (History)
2 users (show)

Fixed In Version: R-pkgcache-1.1.0-2.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-05 00:16:59 UTC
Type: ---
jamatos: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2020-09-27 06:56:00 UTC
Spec URL: https://qulogic.fedorapeople.org//R-pkgcache.spec
SRPM URL: https://qulogic.fedorapeople.org//R-pkgcache-1.1.0-1.fc32.src.rpm

Description:
Metadata and package cache for CRAN-like repositories. This is a utility
package to be used by package management tools that want to take advantage
of caching.

Comment 1 José Matos 2020-09-29 11:30:23 UTC
Rebuilding the package fails because in the testing stage the build is offline:

...
  Running 'testthat.R'
 ERROR
Running the tests in 'tests/testthat.R' failed.
Last 13 lines of output:
  13. update_or_add, cache is too old (@test-5-cache.R#147) - Reason: offline

  14. update_or_add, cache is current (@test-5-cache.R#179) - Reason: offline

  15. bioconductor$get_repos (@test-metadata-utils.R#5) - Reason: offline

  16. bioconductor$.internal$get_matching_bioc_version (@test-metadata-utils.R#16) - Reason: offline

  == Failed ======================================================================
  -- 1. Failure: download_file, errors (@test-4-async-http.R#62)  ----------------
  `ret` inherits from `async_rejected/async_http_error/simpleError/error/condition` not `async_http_404`.

  == DONE ========================================================================
  Error: Test failures
  Execution halted
* checking PDF version of manual ... OK
* DONE
Status: 1 ERROR, 3 WARNINGs

Comment 2 Elliott Sales de Andrade 2020-09-30 07:30:50 UTC
Ah, it must have cached something somewhere while I was testing out builds.

Spec URL: https://qulogic.fedorapeople.org/reviews/R-pkgcache.spec
SRPM URL: https://qulogic.fedorapeople.org/reviews/R-pkgcache-1.1.0-2.fc32.src.rpm

Comment 3 José Matos 2020-09-30 08:29:20 UTC
The license is correct and appropriated for Fedora. The spec file follows the
Fedora package guidelines.

In this cases these are the fedora-review complaints:

Issues:
=======
- Package have the default element marked as %%doc :DESCRIPTION
- Package requires R-core.

I need to take some time to fix these reports from fedora-review as they are not issues.

The package is approved. 

Comment 4 Gwyn Ciesla 2020-09-30 19:01:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-pkgcache

Comment 5 Fedora Update System 2020-09-30 23:14:49 UTC
FEDORA-2020-7d3e8189f1 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7d3e8189f1

Comment 6 Fedora Update System 2020-09-30 23:14:58 UTC
FEDORA-2020-e15eb4fc79 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e15eb4fc79

Comment 7 Fedora Update System 2020-09-30 23:15:07 UTC
FEDORA-2020-6e5f3336b7 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6e5f3336b7

Comment 8 Fedora Update System 2020-10-01 01:20:57 UTC
FEDORA-2020-7d3e8189f1 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7d3e8189f1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7d3e8189f1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-01 01:30:07 UTC
FEDORA-2020-6e5f3336b7 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6e5f3336b7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6e5f3336b7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-01 02:15:50 UTC
FEDORA-2020-e15eb4fc79 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e15eb4fc79`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e15eb4fc79

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-10-05 00:16:59 UTC
FEDORA-2020-7d3e8189f1 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-10-09 15:01:00 UTC
FEDORA-2020-e15eb4fc79 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-10-09 15:01:01 UTC
FEDORA-2020-6e5f3336b7 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.